curl --request PUT \
--url https://api.attio.com/v2/objects/deals/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"values": {
"name": "Contract with Fundstack",
"stage": "In Progress",
"owner": "[email protected]",
"value": 4200,
"associated_people": [
{
"target_object": "people",
"email_addresses": [
{
"email_address": "[email protected]"
}
]
}
],
"associated_company": {
"target_object": "companies",
"domains": [
{
"domain": "company.com"
}
]
}
}
}
}
'{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "Contract with Fundstack",
"attribute_type": "text"
}
],
"stage": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"status": {
"title": "In Progress",
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
"status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
},
"is_archived": false,
"celebration_enabled": false,
"target_time_in_status": null
},
"attribute_type": "status"
}
],
"owner": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
],
"value": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"currency_value": 4200,
"currency_code": "USD",
"attribute_type": "currency"
}
],
"associated_people": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "people",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
],
"associated_company": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "companies",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
]
}
}
}Use this endpoint to create or update deal records, using a unique attribute to search for existing deals. By default, deals do not have a unique attribute, so you should add your own attribute with a unique constraint to use this API. If a deal is found with the same value for the matching attribute, that deal will be updated, otherwise a new deal will be created instead. If the matching attribute is a multiselect attribute, new values will be added and existing values will not be deleted. For any other multiselect attribute, all values will be either created or deleted as necessary to match the list of supplied values.
Required scopes: record_permission:read-write, object_configuration:read.
curl --request PUT \
--url https://api.attio.com/v2/objects/deals/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"values": {
"name": "Contract with Fundstack",
"stage": "In Progress",
"owner": "[email protected]",
"value": 4200,
"associated_people": [
{
"target_object": "people",
"email_addresses": [
{
"email_address": "[email protected]"
}
]
}
],
"associated_company": {
"target_object": "companies",
"domains": [
{
"domain": "company.com"
}
]
}
}
}
}
'{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "Contract with Fundstack",
"attribute_type": "text"
}
],
"stage": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"status": {
"title": "In Progress",
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
"status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
},
"is_archived": false,
"celebration_enabled": false,
"target_time_in_status": null
},
"attribute_type": "status"
}
],
"owner": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
],
"value": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"currency_value": 4200,
"currency_code": "USD",
"attribute_type": "currency"
}
],
"associated_people": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "people",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
],
"associated_company": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "companies",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
]
}
}
}This API uses OAuth 2.0 with the authorization code grant flow.
The ID or slug of the attribute to use to check if a deal already exists. The attribute must be unique. There is no unique attribute on deals by default, so you should add your own.
"custom_deal_attribute"
Show child attributes
This object's keys should be the slugs or IDs of the attributes you wish to update. Below, you'll find documentation for the value types of each standard deal attribute. For information on potential custom attributes, refer to our attribute type docs.
Show child attributes
Show child attributes
The type of the referenced actor. Currently, only workspace members can be written into actor reference attributes. Read more information on actor types here.
workspace-member "workspace-member"
The ID of the referenced Actor.
"50cf242c-7fa3-4cad-87d0-75b1af71c57b"
Show child attributes
A UUID or slug to identify the object that the referenced record belongs to.
"people"
A UUID to identify the referenced record.
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
{
"target_object": "people",
"target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}Show child attributes
A UUID or slug to identify the object that the referenced record belongs to.
"people"
A UUID to identify the referenced record.
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
{
"target_object": "people",
"target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}{
"name": "Contract with Fundstack",
"stage": "In Progress",
"owner": "[email protected]",
"value": 4200,
"associated_people": [
{
"target_object": "people",
"email_addresses": [{ "email_address": "[email protected]" }]
}
],
"associated_company": {
"target_object": "companies",
"domains": [{ "domain": "company.com" }]
}
}Success
Success
Show child attributes
Show child attributes
A UUID identifying the workspace this record belongs to.
"14beef7a-99f7-4534-a87e-70b564330a4c"
A UUID identifying the object this record belongs to.
"97052eb9-e65e-443f-a297-f2d9a4a7f795"
A UUID identifying this record.
"bf071e1f-6035-429d-b874-d83ea64ea13b"
When this record was created.
"2022-11-21T13:22:49.061281000Z"
A URL that links directly to the record page in the Attio web application.
"https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b"
An object with attribute_slug keys, and an array of value objects as the values. Attributes slugs (for example name or stage) can be used, including custom attribute slugs.
Show child attributes
Show child attributes
The point in time at which this value was made "active". active_from can be considered roughly analogous to created_at.
"2023-01-01T15:00:00.000000000Z"
The point in time at which this value was deactivated. If null, the value is active.
"2023-01-01T15:00:00.000000000Z"
The actor that created this value.
Show child attributes
An ID to identify the actor.
The type of actor. Read more information on actor types here.
api-token, workspace-member, system, app {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}A raw text field. Values are limited to 10MB.
"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
The attribute type of the value.
text "text"
Show child attributes
The point in time at which this value was made "active". active_from can be considered roughly analogous to created_at.
"2023-01-01T15:00:00.000000000Z"
The point in time at which this value was deactivated. If null, the value is active.
"2023-01-01T15:00:00.000000000Z"
The actor that created this value.
Show child attributes
An ID to identify the actor.
The type of actor. Read more information on actor types here.
api-token, workspace-member, system, app {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}Show child attributes
Show child attributes
The ID of the workspace
"14beef7a-99f7-4534-a87e-70b564330a4c"
The ID of the object
"97052eb9-e65e-443f-a297-f2d9a4a7f795"
The ID of the attribute
"41252299-f8c7-4b5e-99c9-4ff8321d2f96"
The ID of the status
"11f07f01-c10f-4e05-a522-33e050bc52ee"
The title of the status
"In Progress"
Whether or not to archive the status. See our archiving guide for more information on archiving.
false
Whether arriving at this status triggers a celebration effect in the UI
false
Target time for a record to spend in given status expressed as a ISO-8601 duration string
"P0Y0M1DT0H0M0S"
The attribute type of the value.
status "status"
Show child attributes
The point in time at which this value was made "active". active_from can be considered roughly analogous to created_at.
"2023-01-01T15:00:00.000000000Z"
The point in time at which this value was deactivated. If null, the value is active.
"2023-01-01T15:00:00.000000000Z"
The actor that created this value.
Show child attributes
An ID to identify the actor.
The type of actor. Read more information on actor types here.
api-token, workspace-member, system, app {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}The type of the referenced actor. Read more information on actor types here.
api-token, workspace-member, system, app "workspace-member"
The ID of the referenced actor.
"50cf242c-7fa3-4cad-87d0-75b1af71c57b"
The attribute type of the value.
actor-reference "actor-reference"
Show child attributes
The point in time at which this value was made "active". active_from can be considered roughly analogous to created_at.
"2023-01-01T15:00:00.000000000Z"
The point in time at which this value was deactivated. If null, the value is active.
"2023-01-01T15:00:00.000000000Z"
The actor that created this value.
Show child attributes
An ID to identify the actor.
The type of actor. Read more information on actor types here.
api-token, workspace-member, system, app {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}A numerical representation of the currency value. A decimal with a max of 4 decimal places.
99
The attribute type of the value.
currency "currency"
The ISO4217 currency code representing the currency that the value is stored in.
ARS, AUD, BRL, BGN, CAD, CLP, CNY, COP, CZK, DKK, EUR, HKD, ISK, INR, ILS, JPY, KRW, MYR, MXN, NTD, NZD, NGN, NOK, XPF, PEN, PHP, PLN, GBP, RWF, SAR, SGD, ZAR, SEK, CHF, THB, AED, UYU, USD "USD"
Show child attributes
The point in time at which this value was made "active". active_from can be considered roughly analogous to created_at.
"2023-01-01T15:00:00.000000000Z"
The point in time at which this value was deactivated. If null, the value is active.
"2023-01-01T15:00:00.000000000Z"
The actor that created this value.
Show child attributes
An ID to identify the actor.
The type of actor. Read more information on actor types here.
api-token, workspace-member, system, app {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}A slug identifying the object that the referenced record belongs to.
"people"
A UUID to identify the referenced record.
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
The attribute type of the value.
record-reference "record-reference"
Show child attributes
The point in time at which this value was made "active". active_from can be considered roughly analogous to created_at.
"2023-01-01T15:00:00.000000000Z"
The point in time at which this value was deactivated. If null, the value is active.
"2023-01-01T15:00:00.000000000Z"
The actor that created this value.
Show child attributes
An ID to identify the actor.
The type of actor. Read more information on actor types here.
api-token, workspace-member, system, app {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}A slug identifying the object that the referenced record belongs to.
"people"
A UUID to identify the referenced record.
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
The attribute type of the value.
record-reference "record-reference"
{
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": { "type": "system", "id": null },
"value": "Contract with Fundstack",
"attribute_type": "text"
}
],
"stage": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": { "type": "system", "id": null },
"status": {
"title": "In Progress",
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
"status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
},
"is_archived": false,
"celebration_enabled": false,
"target_time_in_status": null
},
"attribute_type": "status"
}
],
"owner": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": { "type": "system", "id": null },
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
"attribute_type": "actor-reference"
}
],
"value": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": { "type": "system", "id": null },
"currency_value": 4200,
"currency_code": "USD",
"attribute_type": "currency"
}
],
"associated_people": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": { "type": "system", "id": null },
"target_object": "people",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
],
"associated_company": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": { "type": "system", "id": null },
"target_object": "companies",
"target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"attribute_type": "record-reference"
}
]
}Was this page helpful?